/*
 * Class DYNAMIC_CHAIN [G#1]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_270 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_270 [] = {0xFF01,237,269,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_2_270 [] = {0xFF01,269,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_3_270 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_270 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_270 [] = {0xFF01,269,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_6_270 [] = {0xFF01,269,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_7_270 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_270 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_270 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_270 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_270 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_270 [] = {269,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_13_270 [] = {0xFF01,269,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_14_270 [] = {0xFF01,253,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_270 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_270 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_270 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_270 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_270 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_20_270 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_270 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_270 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_270 [] = {206,0xFFFF};
static const EIF_TYPE_INDEX egt_24_270 [] = {0xFF01,244,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_270 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_270 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_270 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_270 [] = {0xFF01,269,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_29_270 [] = {0xFF01,269,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_30_270 [] = {0xFF01,141,0xFFFF};
static const EIF_TYPE_INDEX egt_31_270 [] = {206,0xFFFF};


static const struct desc_info desc_270[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_270), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_270), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_270), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_270), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_270), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_270), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_270), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_270), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_270), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_270), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_270), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_270), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_270), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_270), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4192, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2017, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1845, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1846, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1847, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1848, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1849, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_270), 2271, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_270), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_270), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2505, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2506, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1985, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4188, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4193, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2456, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4196, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_270), 2264, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2265, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4199, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_270), 4194, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_270), 4197, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4202, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_270), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4181, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4198, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2267, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2268, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2269, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2270, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_270), 4194, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_270), 4195, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4202, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4184, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4184, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_270), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4541, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4542, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1920, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2502, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4186, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4543, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4544, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4545, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_270), 3367, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_270), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2262, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2500, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4185, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_270), 4190, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_270), 4191, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4200, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4201, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4203, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4204, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4182, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4183, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4187, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_270), 4546, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2261, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2260, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2263, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2263, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4196, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_270), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_270), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_270), -1, 0xFFFFFFFF},
};
void Init270(void)
{
	IDSC(desc_270, 0, 269);
	IDSC(desc_270 + 1, 1, 269);
	IDSC(desc_270 + 32, 77, 269);
	IDSC(desc_270 + 41, 243, 269);
	IDSC(desc_270 + 47, 155, 269);
	IDSC(desc_270 + 56, 256, 269);
	IDSC(desc_270 + 59, 30, 269);
	IDSC(desc_270 + 66, 187, 269);
	IDSC(desc_270 + 72, 282, 269);
	IDSC(desc_270 + 81, 99, 269);
	IDSC(desc_270 + 83, 294, 269);
	IDSC(desc_270 + 86, 237, 269);
	IDSC(desc_270 + 88, 329, 269);
	IDSC(desc_270 + 102, 229, 269);
	IDSC(desc_270 + 103, 96, 269);
	IDSC(desc_270 + 111, 184, 269);
	IDSC(desc_270 + 114, 50, 269);
	IDSC(desc_270 + 115, 35, 269);
	IDSC(desc_270 + 116, 172, 269);
}


#ifdef __cplusplus
}
#endif
